org.eclipse.wst.jsdt.chromium.debug.ui

## Class ChromiumDebugUIPlugin

- java.lang.Object
- - AbstractUIPlugin
  - - org.eclipse.wst.jsdt.chromium.debug.ui.ChromiumDebugUIPlugin

    public class ChromiumDebugUIPlugin
    extends AbstractUIPlugin

The activator class controls the plug-in life cycle

### Field Summary

Fields
`static java.lang.String` `EDITOR_ID` Editor ID for JS files.
`static java.lang.String` `PLUGIN_ID` The plug-in ID.

### Constructor Summary

Constructors
Constructor and Description
`ChromiumDebugUIPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static IWorkbenchPart` `getActivePart()` Must be called from SWT UI thread only
`static Shell` `getActiveShell()` Must be called from SWT UI thread only
`static Shell` `getActiveWorkbenchShell()`
`static IWorkbenchWindow` `getActiveWorkbenchWindow()`
`static ChromiumDebugUIPlugin` `getDefault()` Returns the shared instance.
`static Display` `getDisplay()`
`static void` `logError(java.lang.Throwable e)`
`static void` `logError(java.lang.Throwable e, java.lang.String message)`
`void` `start(BundleContext context)`
`static void` `statusDialog(IStatus status)` Creates a status dialog using the given `status`.
`static void` `statusDialog(java.lang.String title, IStatus status)` Creates a status dialog using the given `status` and `title`.
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

The plug-in ID.

See Also:
  Constant Field Values

#### EDITOR_ID

    public static final java.lang.String EDITOR_ID

Editor ID for JS files.

See Also:
  Constant Field Values

### Constructor Detail

#### ChromiumDebugUIPlugin

    public ChromiumDebugUIPlugin()

### Method Detail

#### start

    public void start(BundleContext context)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getDefault

    public static ChromiumDebugUIPlugin getDefault()

Returns the shared instance.

Returns:
  the shared instance

#### getDisplay

    public static Display getDisplay()

Returns:
  a current display, or the default one if the current one is not available

#### getActiveWorkbenchShell

    public static Shell getActiveWorkbenchShell()

Returns:
  the active workbench shell, or `null` if one is not available

#### getActiveWorkbenchWindow

    public static IWorkbenchWindow getActiveWorkbenchWindow()

Returns:
  the active workbench window

#### getActiveShell

    public static Shell getActiveShell()

Must be called from SWT UI thread only

Returns:
  The active `Shell`

#### getActivePart

    public static IWorkbenchPart getActivePart()

Must be called from SWT UI thread only

Returns:
  The active `IWorkbenchPart`

#### statusDialog

    public static void statusDialog(IStatus status)

Creates a status dialog using the given `status`.

Parameters:
  `status` - to derive the severity

#### statusDialog

    public static void statusDialog(java.lang.String title,
                                    IStatus status)

Creates a status dialog using the given `status` and `title`.

Parameters:
  `title` - of the dialog
  `status` - to derive the severity

#### logError

    public static void logError(java.lang.Throwable e)

#### logError

    public static void logError(java.lang.Throwable e,
                                java.lang.String message)